Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235709 - Update support for Serbian locale during installation
Summary: Update support for Serbian locale during installation
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Sivák
QA Contact:
URL:
Whiteboard:
Depends On: 253957 259101 259121
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-09 19:01 UTC by Miloš Komarčević
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-21 07:17:17 UTC


Attachments (Terms of Use)
changes the ISO code (deleted)
2007-08-13 05:52 UTC, Martin Sivák
no flags Details | Diff
Change ISO codes and keyboard for Serbian locale (deleted)
2007-08-28 06:28 UTC, Martin Sivák
no flags Details | Diff
Change ISO and kb layouts (deleted)
2007-08-28 06:40 UTC, Martin Sivák
no flags Details | Diff

Description Miloš Komarčević 2007-04-09 19:01:36 UTC
+++ This bug was initially created as a clone of Bug #175611 +++

Please update the support for Serbian during installation. The ISO country code
has changed and we now have two new locales in glibc:

sr_RS.UTF-8 (default, cyrillic script)
sr_RS.UTF-8@latin (Latin script variant)

The latest xkb codes for sr_RS are "cs" and "cs latin" for sr_RS@latin.

Comment 1 Miloš Komarčević 2007-06-09 14:05:05 UTC
This is still the case in F7 final and Serbian users are forced to edit
/etc/sysconfig/i18n after installation manually.

Comment 2 Red Hat Bugzilla 2007-06-12 03:46:45 UTC
requested by Jams Antill

Comment 3 Igor Miletic 2007-08-09 17:22:36 UTC
Problem still exist in F8 Test 1. 

Comment 4 Martin Sivák 2007-08-13 05:52:08 UTC
Created attachment 161153 [details]
changes the ISO code

Comment 5 Miloš Komarčević 2007-08-13 12:05:22 UTC
Martin, thanks for picking this up.

I think just "sr" and "sr@latin" should suffice in the second column rather than
the full locale including the country code.

Also, what does "sr-cy" in the fifth column refer to? ("cy" I guess denotes
something Cyrillic, so it's a bit puzzling it appears for the Latin locale as
well...)

Comment 6 Martin Sivák 2007-08-13 14:41:00 UTC
The fifth column is console keyboard layout. I have no way to check that (I do
not understand cyrillic nor I have serbian keyboard), but it is in the original
table too, can you tell me if it works in F7 in the right way?

The short language code is now unused anyway, but I will change that.

Comment 7 Chris Lumens 2007-08-14 14:17:04 UTC
That's right, the fifth column is the console keyboard map.  It needs to be set
to something that's in /lib/kbd/keymaps/i386/qwerty/, which we pull into our
keymaps-<arch> files in anaconda.  The only Serbian console layout I see in
there is sr-cy, so that's what we'll have to keep for both.

Martin - you'll also want to make sure the correct X keyboard maps are listed in
src/keyboard_models.py in the rhpl package.  The source for that is in the same
place as anaconda.

Comment 8 Miloš Komarčević 2007-08-14 23:53:07 UTC
Thanks for clearing that up - console seems to be working fine and haven't heard
complaints from local users, so leaving the only option "sr-cy" for both seems
the best practise atm.

So the last thing outstanding are the "cs" and "cs latin" layouts for X keymaps,
as Chris points out. (Although strictly speaking these should have split into
separate ones for Serbia and Montenegro as well by now, but things haven't been
moving all that fast upstream.)

Comment 9 Miloš Komarčević 2007-08-16 20:36:38 UTC
Also, together with this change, please also move po/sr@Latn.po to
po/sr@latin.po and update ALL_LINGUAS in configure or the Makefile if necessary.

Comment 11 Martin Sivák 2007-08-28 06:28:56 UTC
Created attachment 174981 [details]
Change ISO codes and keyboard for Serbian locale

Add sr-latin alias for sr-cy (already in kbd) so we can use it in rhpl for X
keyboard mapping

Comment 12 Martin Sivák 2007-08-28 06:40:20 UTC
Created attachment 175021 [details]
Change ISO and kb layouts

Hups, wrong patch... now the correct one

Comment 13 Martin Sivák 2007-09-21 07:17:17 UTC
Will show up in the next build


Note You need to log in before you can comment on or make changes to this bug.